---
editUrl: false
next: false
prev: false
title: "Result"
---

## Properties

### activities?

> `optional` **activities**: `ActivitiesOptions`[]

#### Source

[src/core/presences.ts:11](https://github.com/sern-handler/handler/blob/a19edaf8838dcf088d3947f4a6aa6213d8f5bb9e/src/core/presences.ts#L11)

***

### afk?

> `optional` **afk**: `boolean`

#### Source

[src/core/presences.ts:10](https://github.com/sern-handler/handler/blob/a19edaf8838dcf088d3947f4a6aa6213d8f5bb9e/src/core/presences.ts#L10)

***

### onRepeat()?

> `optional` **onRepeat**: (`previous`) => [`Result`](/v3/api/namespaces/presence/interfaces/result/)

#### Parameters

• **previous**: [`Result`](/v3/api/namespaces/presence/interfaces/result/)

#### Returns

[`Result`](/v3/api/namespaces/presence/interfaces/result/)

#### Source

[src/core/presences.ts:14](https://github.com/sern-handler/handler/blob/a19edaf8838dcf088d3947f4a6aa6213d8f5bb9e/src/core/presences.ts#L14)

***

### repeat?

> `optional` **repeat**: `number` \| [[`Emitter`](/v3/api/interfaces/emitter/), `string`]

#### Source

[src/core/presences.ts:13](https://github.com/sern-handler/handler/blob/a19edaf8838dcf088d3947f4a6aa6213d8f5bb9e/src/core/presences.ts#L13)

***

### shardId?

> `optional` **shardId**: `number`[]

#### Source

[src/core/presences.ts:12](https://github.com/sern-handler/handler/blob/a19edaf8838dcf088d3947f4a6aa6213d8f5bb9e/src/core/presences.ts#L12)

***

### status?

> `optional` **status**: `Status`

#### Source

[src/core/presences.ts:9](https://github.com/sern-handler/handler/blob/a19edaf8838dcf088d3947f4a6aa6213d8f5bb9e/src/core/presences.ts#L9)
